Bug 901742 (php-Raven) - Review Request: php-Raven - A PHP client for Sentry
Summary: Review Request: php-Raven - A PHP client for Sentry
Status: CLOSED CURRENTRELEASE
Alias: php-Raven
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-18 23:01 UTC by Shawn Iwinski
Modified: 2013-02-09 01:47 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-03 13:42:44 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (21.14 KB, text/plain)
2013-01-21 13:37 UTC, Remi Collet
no flags Details
php-Raven-review.txt (8.03 KB, text/plain)
2013-01-21 13:39 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2013-01-18 23:01:26 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-Raven.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-Raven-0.3.1-1.20130117git60e91ac.fc17.src.rpm

Description:
A PHP client for Sentry (http://getsentry.com).


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2013-01-21 13:37:43 UTC
Created attachment 684297 [details]
phpci.log

Comment 2 Remi Collet 2013-01-21 13:39:17 UTC
Created attachment 684298 [details]
php-Raven-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 901742

Comment 3 Shawn Iwinski 2013-01-21 15:56:20 UTC
(In reply to comment #2)

License issue: Sorry I missed that!  I have an issue open with upstream for this: https://github.com/getsentry/raven-php/issues/67

BuildRequires issues: Wow... no idea how I messed that one up.



I will post an updated version once upstream fixes the license issue.

Comment 4 Shawn Iwinski 2013-01-22 01:52:59 UTC
- Updated to upstream version 0.4.0
- Fixed license
- Fixed build requires


SPEC URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-Raven.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-Raven-0.4.0-1.fc17.src.rpm

Comment 5 Remi Collet 2013-01-22 08:00:54 UTC
[!]: All build dependencies are listed in BuildRequires => fixed, OK.
[!]: License field in the package spec file matches the actual license. => fixed, OK.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4892583

No blocker.

=== APPROVED ===

Comment 6 Shawn Iwinski 2013-01-22 12:14:25 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-Raven
Short Description: A PHP client for Sentry
Owners: siwinski
Branches: f18 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-01-22 14:20:32 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-01-23 13:09:57 UTC
php-Raven-0.4.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Raven-0.4.0-2.el6

Comment 9 Fedora Update System 2013-01-23 13:10:11 UTC
php-Raven-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-Raven-0.4.0-2.fc18

Comment 10 Fedora Update System 2013-01-23 22:01:20 UTC
php-Raven-0.4.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2013-02-03 13:42:46 UTC
php-Raven-0.4.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-02-09 01:47:01 UTC
php-Raven-0.4.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.